Bug 1268708 - Invalid parameter 'localaddr': backport 1220252 fix to F22
Invalid parameter 'localaddr': backport 1220252 fix to F22
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
22
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-04 20:16 EDT by poma
Modified: 2015-10-23 13:25 EDT (History)
10 users (show)

See Also:
Fixed In Version: qemu-2.3.1-7.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-23 13:25:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description poma 2015-10-04 20:16:20 EDT
Literally the same bugus virtualis as here:
"qemu-kvm aborts with -chardev udp,..."
https://bugzilla.redhat.com/show_bug.cgi?id=1220252

# qemu-system-x86_64 -chardev udp,id=charrng0,host=127.0.0.1,port=1234,localaddr=,localport=1234
qemu-system-x86_64: -chardev udp,id=charrng0,host=127.0.0.1,port=1234,localaddr=,localport=1234: Invalid parameter 'localaddr'
Aborted

OR via "Serial UDP net console" / libvirt & virt-manager:
Error starting domain: internal error: process exited while connecting to monitor: ... qemu-system-x86_64: -chardev udp,id=charserial0,host=127.0.0.1,port=4555,localaddr=127.0.0.1,localport=4556: Invalid parameter 'localaddr'


Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/asyncjob.py", line 89, in cb_wrapper
    callback(asyncjob, *args, **kwargs)
  File "/usr/share/virt-manager/virtManager/asyncjob.py", line 125, in tmpcb
    callback(*args, **kwargs)
  File "/usr/share/virt-manager/virtManager/libvirtobject.py", line 83, in newfn
    ret = fn(self, *args, **kwargs)
  File "/usr/share/virt-manager/virtManager/domain.py", line 1423, in startup
    self._backend.create()
  File "/usr/lib64/python2.7/site-packages/libvirt.py", line 1007, in create
    if ret == -1: raise libvirtError ('virDomainCreate() failed', dom=self)
libvirtError: internal error: process exited while connecting to monitor: ... qemu-system-x86_64: -chardev udp,id=charserial0,host=127.0.0.1,port=4555,localaddr=127.0.0.1,localport=4556: Invalid parameter 'localaddr'


$ qemu-system-x86_64 --version
QEMU emulator version 2.3.1 (qemu-2.3.1-3.fc22), Copyright (c) 2003-2008 Fabrice Bellard
$ rpm -qf /usr/bin/qemu-system-x86_64
qemu-system-x86-2.3.1-3.fc22.x86_64


Ref.
- [v2] util: socket: Add missing localaddr and localport option for DGRAM socket
  https://patchwork.ozlabs.org/patch/472701
- [PATCH] util: socket: Add missing localaddr and localport o
  https://lists.gnu.org/archive/html/qemu-devel/2015-05/msg02604.html
- [PATCH v2] util: socket: Add missing localaddr and localpor
  https://lists.gnu.org/archive/html/qemu-devel/2015-05/msg03175.html
Comment 1 poma 2015-10-04 20:23:41 EDT
On Rawhide:

$ qemu-system-x86_64 -version
QEMU emulator version 2.4.0.1 (qemu-2.4.0.1-2.fc24), Copyright (c) 2003-2008 Fabrice Bellard
$ rpm -q qemu
qemu-2.4.0.1-2.fc24.x86_64

no problemos with 'localaddr',
but with a "Connection refused".
Comment 2 poma 2015-10-05 12:32:15 EDT
(In reply to poma from comment #1)
...
> but with a "Connection refused".

As mister Bonzini explained - "nc -up 4555 localhost 4556"
OR
socat - UDP:127.0.0.1:4556,sourceport=4555

Undoubtedly, should specify the source port in the UDP combination.

Thanks.
Comment 3 Cole Robinson 2015-10-05 19:43:10 EDT
Commit is:

commit b8981dc9aae25fa79e5f35609e63f50f078a572d
Author: Peter Krempa <pkrempa@redhat.com>
Date:   Fri May 15 11:31:43 2015 +0200

    util: socket: Add missing localaddr and localport option for DGRAM socket
Comment 4 Fedora Update System 2015-10-08 15:58:30 EDT
qemu-2.3.1-7.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-d5c1048b47
Comment 5 poma 2015-10-09 02:44:20 EDT
$ qemu-system-x86_64 --version
QEMU emulator version 2.3.1 (qemu-2.3.1-7.fc22), Copyright (c) 2003-2008 Fabrice Bellard

$ nc -v -up 4555 localhost 4556
Ncat: Version 6.47 ( http://nmap.org/ncat )
Ncat: Connected to 127.0.0.1:4556.


Fedora 24 (Rawhide)
Kernel 4.3.0-0.rc4.git1.1.fc24.x86_64 on an x86_64 (ttyS0)

localhost login:
Comment 6 Fedora Update System 2015-10-09 09:54:14 EDT
qemu-2.3.1-7.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update qemu'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d5c1048b47
Comment 7 Fedora Update System 2015-10-23 13:24:34 EDT
qemu-2.3.1-7.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.